Шаблон:Таблица ролей/styles.css: различия между версиями

Материал из Space Station 14 Вики
мНет описания правки
мНет описания правки
Строка 2: Строка 2:
     display: grid;
     display: grid;
     gap: 8px;
     gap: 8px;
}
.таблица-ролей__container {
    background: var(--theme-bg-color-150);
    border: 1px solid var(--theme-border-color-base);
    padding: 0.4em;
    line-height: 1.4em;
    border-radius: var(--border-radius-low);
}
}


Строка 9: Строка 17:
flex-wrap: wrap;
flex-wrap: wrap;
justify-content: space-evenly;
justify-content: space-evenly;
padding: 0.4em;
}
}


Строка 17: Строка 26:


.таблица-ролей__sub-title {
.таблица-ролей__sub-title {
    padding: 0.2em 0.4em 0.2em;
padding: 0.2em 0.4em 0.2em;
     font-weight: bold;
     font-weight: bold;
     background: var(--color-contrast2-dark);
     background: var(--color-contrast2-dark);
     text-align: center;
     text-align: center;
    margin: 0.4em 0 0.2em 0;
}
}


.таблица-ролей__name {
.таблица-ролей__name {
padding: 2px;
padding: 0.2em 0.4em 0.2em;
border-radius: 0.3em;
font-weight: bold;
margin-bottom: 0.2em;
     background: var(--color-contrast2);
     background: var(--color-contrast2);
     border-radius: var(--border-radius-low);
     border-radius: var(--border-radius-low);

Версия от 16:48, 25 июня 2025

.таблица-ролей {
    display: grid;
    gap: 8px;
}

.таблица-ролей__container {
    background: var(--theme-bg-color-150);
    border: 1px solid var(--theme-border-color-base);
    padding: 0.4em;
    line-height: 1.4em;
    border-radius: var(--border-radius-low);
}

.таблица-ролей__table {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: space-evenly;
	padding: 0.4em;
}

.таблица-ролей__title {
    display: flex;
    gap: 8px;
}

.таблица-ролей__sub-title {
	padding: 0.2em 0.4em 0.2em;
    font-weight: bold;
    background: var(--color-contrast2-dark);
    text-align: center;
    margin: 0.4em 0 0.2em 0;
}

.таблица-ролей__name {
	padding: 0.2em 0.4em 0.2em;
	font-weight: bold;
    background: var(--color-contrast2);
    border-radius: var(--border-radius-low);
    border-top: 1px solid rgba(var(--color-lighter--rgb), 0.07);
    border-bottom: 2px solid var(--color-darkened-border);
}